package com.ssm.manage.service;

import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.PromotionList;
import com.ssm.manage.entity.PromotionProject;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.query.PromotionListRequest;

import java.util.List;

public interface SsmPromotionProjectService extends BaseService<PromotionProject> {
    List<PromotionProject> selectList(PromotionListRequest promotionListRequest);

    int addPromotionProject(List<PromotionProject> list, PromotionList promotionList) throws SmsException;

    int updatePromotionProject(List<PromotionProject> list, PromotionList promotionList) throws SmsException;

    void deleteByPromotionId(Long id);

    List<PromotionProject> selectByPromotionIds(List<Long> promotionIds);
}
